Subject: [wpkops] WG future path

From: Tim Moses <[email-masked]>
Date: Fri, 13 Sep 2013 15:10:13 +0000

Hi Everyone.  Well!  Here's the thing.

I think we've all noticed that progress in the working group has ground to a halt.  We should try to understand why this is and choose an appropriate course of action.  To that end, some of the interested parties met by phone earlier this week.

There was a suggestion that the fact that many of the authors are new to the IETF (and unfamiliar with the process and culture) has caused confusion and paralysis. In this regard, I would like to add a personal plea: we are ALL responsible for the quality and progression of this work, so when we see one of our experts slip up procedurally, can we just gently coach them in the right way, with an explanation?
It was also suggested that the quantity of comment that we see will increase once the documents are adopted as working group drafts.  Some authors had interpreted the paucity of comment as an indication of low interest.  Maybe the quantity will increase once we have working group drafts to consider.

Eventually we agreed that the work remained an important precursor to future design work in other forums with the objective of  fixing problems identified by the current work.

Therefore, it was decided that we WILL meet in Vancouver.  But, in the event that there is still no substantial progress at that time, then we will move to close down the working group.  In order to gauge whether the prospects for success have improved, I was tasked with recruiting more authors for each document.  We agreed that the current slate of authors is perfectly well qualified and able to complete the work.  But, we need to create a "micro-community" in which discussion will be more active.  All the designated authors will be expected to contribute to and review their documents.  The discussion between authors should be on the mail-list and, hopefully, that will help to get the broader community engaged.

It was also suggested that, even if we do not manage to recruit more authors, but there is, nevertheless, other evidence of community interest and progress, then we would still keep the activity alive.

The expectation is that additional authors will be identified by 16 Oct, and drafts of all documents will be available by the Vancouver submission deadline.

I'm hopeful that we can get this work moving forward again.

All the best.  Tim.